## python-django-treebeard 1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
HTMLDIR       = html

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build $(HTMLDIR)/*

html:
	mkdir -p $(HTMLDIR) _build/doctrees _static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(HTMLDIR)
	@echo
	@echo "Build finished. The HTML pages are in $(HTMLDIR)"

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

## python-django-treebeard 1.60

=== debian/changelog ===
python-django-treebeard (1.60-4) unstable; urgency=low

  * Bump python compatibility to 2.5. Thanks to Stefano Rivera
    <stefano@rivera.za.net>. (Closes: #582045)

 -- Chris Lamb <lamby@debian.org>  Wed, 19 May 2010 23:35:26 +0100

python-django-treebeard (1.60-3) unstable; urgency=low

  * Install .py files directly using dh_auto_install (Closes: #579541)

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Apr 2010 15:10:30 +0100

python-django-treebeard (1.60-2) unstable; urgency=low

  * New upstream URL.
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Wed, 21 Apr 2010 10:12:21 +0100

python-django-treebeard (1.60-1) unstable; urgency=low

  * New upstream releae.
  * Update debian/watch - Google Code not being updated anymore.
  * Update location of upstream docs.
  * Bump Standards-Version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Move to minimal dh7 debian/rules.

 -- Chris Lamb <lamby@debian.org>  Mon, 19 Apr 2010 15:16:08 +0100

python-django-treebeard (1.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.
  * Fix typo in package description. Thanks to Reuben Thomas <rrt@sc3d.org>
    (Closes: #563331)
  * Update git repository locations.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Jan 2010 15:59:44 +0000

python-django-treebeard (1.1-1) unstable; urgency=low

  * Initial release. (Closes: #508035)

 -- Chris Lamb <lamby@debian.org>  Sun, 07 Dec 2008 04:50:21 +0000

=== debian/control ===
Source: python-django-treebeard
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support, python-sphinx
Standards-Version: 3.8.4
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-django-treebeard.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-django-treebeard.git
Homepage: https://tabo.pe/projects/django-treebeard/

Package: python-django-treebeard
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0)
Description: Efficient implementations of tree data structures for Django
 Django Treebeard is a library that implements efficient data structures for
 storing hierachical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.

Package: python-django-treebeard-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Description: Efficient implementations of tree data structures for Django (documentation)
 Django Treebeard is a library that implements efficient data structures for
 storing hierachical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.
 .
 This package contains the documentation in searchable HTML format.

## python-django-treebeard 1.61

=== debian/changelog ===
python-django-treebeard (1.61-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Jul 2010 21:05:33 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-support, python-sphinx
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-django-treebeard.git
 Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-django-treebeard.git
 Homepage: https://tabo.pe/projects/django-treebeard/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.. DJANGO_SETTINGS_MODULE=treebeard make -C docs html

override_dh_auto_install:
	dh_auto_install --destdir=debian/python-django-treebeard

override_dh_installdocs:
	dh_installdocs
	# Don't embed jQuery.
	ln -sf /usr/share/javascript/jquery.js \
		debian/python-django-treebeard-doc/usr/share/doc/python-django-treebeard-doc/html/_static/jquery.js

override_dh_compress:
	dh_compress -X.js -X.py

## python-django-treebeard 2.0~beta1

=== debian/changelog ===
python-django-treebeard (2.0~beta1-2) unstable; urgency=low

  * Add missing build dependency on python-setuptools. (Closes: #712302)

 -- Chris Lamb <lamby@debian.org>  Mon, 17 Jun 2013 08:05:29 +0100

python-django-treebeard (2.0~beta1-1) unstable; urgency=low

  * New upstream release (Closes: #711278)
    - Drop installation of examples.
  * Bump Standards-Version to 3.9.4.

 -- Chris Lamb <lamby@debian.org>  Mon, 10 Jun 2013 23:35:36 +0100

python-django-treebeard (1.61-3) unstable; urgency=low

  * Don't compress objects.inv as this breaks sphinx.ext.intersphinx.
    (Closes: #608768)

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Feb 2011 21:29:46 +0000

python-django-treebeard (1.61-2) unstable; urgency=low

  * Update Vcs-{Git,Browser}.
  * Add python-django and graphviz to Build-Depends-Indep to ensure diagrams
    are generated on rebuild. (Closes: #608917)

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Feb 2011 21:23:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support, python-sphinx
-Standards-Version: 3.9.1
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-django-treebeard.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-django-treebeard.git
+Build-Depends-Indep: python-support, python-sphinx, python-django, graphviz, python-setuptools
+Standards-Version: 3.9.4
+Vcs-Git: git://github.com/lamby/pkg-python-django-treebeard.git
+Vcs-Browser: https://github.com/lamby/pkg-python-django-treebeard
 Homepage: https://tabo.pe/projects/django-treebeard/
 
 Package: python-django-treebeard

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 		debian/python-django-treebeard-doc/usr/share/doc/python-django-treebeard-doc/html/_static/jquery.js
 
 override_dh_compress:
-	dh_compress -X.js -X.py
+	dh_compress -X.js -X.py -Xobjects.inv

=== debian/watch ===
version=3
http://pypi.python.org/pypi/django-treebeard .*/django-treebeard-(.*).tar.gz.*

## python-django-treebeard 4.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   Coverage"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p _static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-treebeard.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-treebeard.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Coverage, " \
	      "results in $(BUILDDIR)/coverage"

=== debian/changelog ===
python-django-treebeard (4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to initialize django in the sphinx configuration when building
    the documentation (Closes: #808513).
  * Add patch to use local opjects.inv files for intersphinx mappings.
  * Add patch to remove djangodocs extension from sphinx configuration.
  * Drop patch to remove unneeded pytest idmaker hack. It was merged
    upstream.
  * Refresh patch to remove version information from the jquery-ui
    filename.
  * Exclude djangodocs sphinx extension with unknown license.
  * Remove unneeded pytest idmaker hack. Using a supportd ids=arg instead.
  * Remove version infromation from jquery-ui filename
  * Exclude djangodocs sphinx extension with unknown license.
  * Add lintian overrides for false positives on non-minified javascript file.
  * Call sphinx-build directly to build documentation.
  * Clean .cache/v/cache/lastfailed to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sat, 02 Jan 2016 19:21:45 +0100

python-django-treebeard (3.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 3.0+dfsg
  * Adopt package by setting DPMT as maintainer and myself as uploader (Closes: #738300).
  * Clean django_treebeard.egg-info/SOURCES.txt to allow two builds in a row.
  * Use pypi.debian.net service for uscan.
  * Make uscan aware of our DFSG repack in d/watch.
  * Use format 1.0 header in d/copyright.
  * Exclude minified jquery-ui file from source tarball.
  * Bump Standard-Version to 3.9.6.
  * Bump debhelper compatibility and version to 9.
  * Drop versioned dependency on python-django.
  * Rename Apache license to conform to copyright format 1.0.
  * Change packaging license to Apache as used by upstream. Thanks to Chris
    Lamb for giving me permission to do so.
  * Reformat d/control with cme and wrap-and-sort for better readability.
  * Add dh-python to Build-Depends-Indep and python-all to Build-Depends.
  * Switch buildsystem to pybuild.
  * Add python-pytest to Build-Depends-Indep.
  * Add doc-base registration for documentation.
  * Use sphinxdoc debhelper to set symlinks for documentation assets.
  * Create symlink to minified jQuery-UI file from package libjs-jquery-ui.
  * Add pytest_idmaker.patch taken from upstream to fix tests.
  * Add unversion_jquery-ui.patch to remove version information from the
    referenced jquery-ui file.
  * Add libjs-jquery-ui to Depends.
  * Drop d/pyversions and replace it with X-Python-Version.
  * Add support for Python3 with a separate binary package.
  * Install README.rst as documenation for both binary packages.
  * Move packaging repository to DPMT git.

 -- Michael Fladischer <fladi@debian.org>  Tue, 08 Sep 2015 18:42:45 +0200

python-django-treebeard (2.0~beta1-4) unstable; urgency=medium

  * QA upload.
  * Build using dh_python2

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2014 16:04:58 +0000

python-django-treebeard (2.0~beta1-3) unstable; urgency=medium

  * Orphaning package.

 -- Chris Lamb <lamby@debian.org>  Sun, 09 Feb 2014 00:08:33 +0000

=== debian/control ===
Source: python-django-treebeard
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all,
               python3-all
Build-Depends-Indep: dh-python,
                     graphviz,
                     python-django,
                     python-pytest,
                     python-setuptools,
                     python-sphinx,
                     python3-django,
                     python3-pytest,
                     python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-treebeard.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-treebeard.git
Homepage: https://tabo.pe/projects/django-treebeard/

Package: python-django-treebeard
Architecture: all
Depends: libjs-jquery-ui,
         python-django,
         ${misc:Depends},
         ${python:Depends}
Description: Efficient implementations of tree data structures for Django
 Django Treebeard is a library that implements efficient data structures for
 storing hierachical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.

Package: python3-django-treebeard
Architecture: all
Depends: libjs-jquery-ui,
         python3-django,
         ${misc:Depends},
         ${python3:Depends}
Description: Efficient implementations of tree data structures for Django (Python3 version)
 Django Treebeard is a library that implements efficient data structures for
 storing hierachical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.
 .
 This package contains the Python 3 version of the library.

Package: python-django-treebeard-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: Efficient implementations of tree data structures for Django (documentation)
 Django Treebeard is a library that implements efficient data structures for
 storing hierachical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.
 .
 This package contains the documentation in searchable HTML format.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-treebeard

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/doctrees docs docs/.build/html

override_dh_auto_install:
	dh_auto_install
	set -e; \
	for inst in debian/python-django-treebeard/usr/lib/python*/*-packages/treebeard/static/treebeard; do \
		ln -s ../../../../../../share/javascript/jquery-ui/jquery-ui.min.js $$inst/jquery-ui.min.js; \
	done

override_dh_compress:
	dh_compress -X.js -X.py -Xobjects.inv

## python-django-treebeard 4.0.1+dfsg

=== debian/changelog ===
python-django-treebeard (4.0.1+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.8.
  * Update lintian overrides for long line in javascript source.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 May 2016 14:44:20 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                      python3-django,
                      python3-pytest,
                      python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-treebeard.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-treebeard.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-treebeard.git
 Homepage: https://tabo.pe/projects/django-treebeard/
 
 Package: python-django-treebeard

## python-django-treebeard 4.1.0+dfsg

=== debian/changelog ===
python-django-treebeard (4.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use python3-sphinx to build documentation.
  * Rebuild all django.mo and djangojs.mo files from source using
    python3-babel.
  * Drop Django 1.10 compatibility patches since they have been merged
    upstream.

 -- Michael Fladischer <fladi@debian.org>  Mon, 28 Nov 2016 20:00:59 +0100

python-django-treebeard (4.0.1+dfsg-2) unstable; urgency=medium

  * Replace django.conf.urls.patterns with lists (Closes: #828674).
  * Fix typo in long description.
  * Add patches to support Django 1.10:
    - Replace django.conf.urls.patterns with lists.
    - Pass through additional kwargs to support new `use_required_attribute`
      ModelForm argument.
    - Do not load templatetag  `cycle` from `future`.
    - Search request context processor in settings.TEMPLATES.
    - Add basic settings.TEMPLATES for tests.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Wed, 19 Oct 2016 11:29:57 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                      python-django,
                      python-pytest,
                      python-setuptools,
-                     python-sphinx,
+                     python3-babel,
                      python3-django,
                      python3-pytest,
-                     python3-setuptools
+                     python3-setuptools,
+                     python3-sphinx
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
@@ -30,7 +31,7 @@
          ${python:Depends}
 Description: Efficient implementations of tree data structures for Django
  Django Treebeard is a library that implements efficient data structures for
- storing hierachical data in a database using the Django web development
+ storing hierarchical data in a database using the Django web development
  framework.
  .
  It currently includes 3 different tree implementations: adjacency list,
@@ -45,7 +46,7 @@
          ${python3:Depends}
 Description: Efficient implementations of tree data structures for Django (Python3 version)
  Django Treebeard is a library that implements efficient data structures for
- storing hierachical data in a database using the Django web development
+ storing hierarchical data in a database using the Django web development
  framework.
  .
  It currently includes 3 different tree implementations: adjacency list,
@@ -61,7 +62,7 @@
          ${misc:Depends}
 Description: Efficient implementations of tree data structures for Django (documentation)
  Django Treebeard is a library that implements efficient data structures for
- storing hierachical data in a database using the Django web development
+ storing hierarchical data in a database using the Django web development
  framework.
  .
  It currently includes 3 different tree implementations: adjacency list,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,15 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/doctrees docs docs/.build/html
+	PYTHONPATH=. sphinx-build -b html -d docs/.build/doctrees docs/source docs/.build/html
+	set -e; \
+	for loc in treebeard/locale/*; do \
+		test -r $$loc/LC_MESSAGES/django.po &&\
+			python3 setup.py compile_catalog --directory treebeard/locale/ --locale $$(basename $$loc) --domain django; \
+		test -r $$loc/LC_MESSAGES/djangojs.po &&\
+			python3 setup.py compile_catalog --directory treebeard/locale/ --locale $$(basename $$loc) --domain djangojs; \
+	done
+
 
 override_dh_auto_install:
 	dh_auto_install

## python-django-treebeard 4.1.2+dfsg

=== debian/changelog ===
python-django-treebeard (4.1.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #865934).
  * Bump Standards-Version to 4.0.0.
  * Add patch to re-enable model migrations during tests.

 -- Michael Fladischer <fladi@debian.org>  Wed, 12 Jul 2017 22:20:22 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                      python3-pytest,
                      python3-setuptools,
                      python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-treebeard.git

## python-django-treebeard 4.2.0+dfsg

=== debian/changelog ===
python-django-treebeard (4.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Always use pristine-tar.
  * Refresh patches, drop Re-enable-model-migrations-during-tests as it
    was applied upstream.
  * Clean up django_treebeard.egg-info/PKG-INFO to allow two builds in a
    row.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.
  * Build documentation in override_dh_sphinxdoc.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jan 2018 15:56:59 +0100

=== debian/control ===
Source: python-django-treebeard
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 python-all,
 python3-all,
Build-Depends-Indep:
 dh-python,
 graphviz,
 python-django,
 python-pytest,
 python-setuptools,
 python3-babel,
 python3-django,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-treebeard.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-treebeard.git
Homepage: https://tabo.pe/projects/django-treebeard/
Testsuite: autopkgtest-pkg-python

Package: python-django-treebeard
Architecture: all
Depends:
 libjs-jquery-ui,
 python-django,
 ${misc:Depends},
 ${python:Depends},
Description: Efficient implementations of tree data structures for Django
 Django Treebeard is a library that implements efficient data structures for
 storing hierarchical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.

Package: python-django-treebeard-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: Efficient implementations of tree data structures for Django (documentation)
 Django Treebeard is a library that implements efficient data structures for
 storing hierarchical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.
 .
 This package contains the documentation in searchable HTML format.

Package: python3-django-treebeard
Architecture: all
Depends:
 libjs-jquery-ui,
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: Efficient implementations of tree data structures for Django (Python3 version)
 Django Treebeard is a library that implements efficient data structures for
 storing hierarchical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.
 .
 This package contains the Python 3 version of the library.

## python-django-treebeard 4.2.1+dfsg

=== debian/changelog ===
python-django-treebeard (4.2.1+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 29 Mar 2018 10:44:29 +0200

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
 Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-treebeard.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-treebeard.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-treebeard
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-treebeard.git
 Homepage: https://tabo.pe/projects/django-treebeard/
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/doctrees docs/source docs/.build/html
 	set -e; \
 	for loc in treebeard/locale/*; do \
 		test -r $$loc/LC_MESSAGES/django.po &&\
@@ -20,6 +19,11 @@
 			python3 setup.py compile_catalog --directory treebeard/locale/ --locale $$(basename $$loc) --domain djangojs; \
 	done
 
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html -N docs/source/ $(CURDIR)/debian/python-django-treebeard-doc/usr/share/doc/python-django-treebeard-doc/html
+	dh_sphinxdoc
+endif
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/django-treebeard/django-treebeard-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-treebeard 4.3+dfsg

=== debian/changelog ===
python-django-treebeard (4.3+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Jul 2019 04:18:44 +0200

python-django-treebeard (4.3+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.1.4.
  * Fix spelling error in patch description.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Jun 2018 14:56:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,43 +5,22 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  python-all,
  python3-all,
 Build-Depends-Indep:
  dh-python,
  graphviz,
- python-django,
- python-pytest,
- python-setuptools,
  python3-babel,
  python3-django,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-treebeard
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-treebeard.git
 Homepage: https://tabo.pe/projects/django-treebeard/
 Testsuite: autopkgtest-pkg-python
-
-Package: python-django-treebeard
-Architecture: all
-Depends:
- libjs-jquery-ui,
- python-django,
- ${misc:Depends},
- ${python:Depends},
-Description: Efficient implementations of tree data structures for Django
- Django Treebeard is a library that implements efficient data structures for
- storing hierarchical data in a database using the Django web development
- framework.
- .
- It currently includes 3 different tree implementations: adjacency list,
- materialized path and nested sets. Each one has it's own strengths and
- weaknesses but share the same API, so it’s easy to switch between them.
 
 Package: python-django-treebeard-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-treebeard

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	echo "Do nothing..."

override_dh_auto_clean:
	rm -rf docs/.build

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	set -e; \
	for loc in treebeard/locale/*; do \
		test -r $$loc/LC_MESSAGES/django.po &&\
			python3 setup.py compile_catalog --directory treebeard/locale/ --locale $$(basename $$loc) --domain django; \
		test -r $$loc/LC_MESSAGES/djangojs.po &&\
			python3 setup.py compile_catalog --directory treebeard/locale/ --locale $$(basename $$loc) --domain djangojs; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/source/ $(CURDIR)/debian/python-django-treebeard-doc/usr/share/doc/python-django-treebeard-doc/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-django-treebeard
	set -e; \
	for inst in debian/python3-django-treebeard/usr/lib/python3/dist-packages/treebeard/static/treebeard; do \
		ln -s ../../../../../../share/javascript/jquery-ui/jquery-ui.min.js $$inst/jquery-ui.min.js; \
	done

override_dh_compress:
	dh_compress -X.js -X.py -Xobjects.inv

## python-django-treebeard 4.3.1+dfsg

=== debian/changelog ===
python-django-treebeard (4.3.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove python-all from Build-Depends, Python2 is no longer used (Closes:
    #937709).
  * Set new Homepage URL.
  * Clean up d/rules to use dh where possible.
  * Clean up pytest artifacts to allow two builds in a row.
  * Bump debhelper version to 12.
  * Add patch to fix tests with Django 2.1.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Add ${sphinxdoc:Depends} to documentation package.
  * Install jQuery symlink in correct location.

 -- Michael Fladischer <fladi@debian.org>  Fri, 21 Feb 2020 22:03:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 11),
- python-all,
+ debhelper-compat (= 12),
  python3-all,
 Build-Depends-Indep:
  dh-python,
@@ -16,17 +15,19 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-treebeard
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-treebeard.git
-Homepage: https://tabo.pe/projects/django-treebeard/
+Homepage: https://github.com/django-treebeard/django-treebeard
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-treebeard-doc
 Architecture: all
 Section: doc
 Depends:
  libjs-jquery,
+ ${sphinxdoc:Depends},
  ${misc:Depends},
 Description: Efficient implementations of tree data structures for Django (documentation)
  Django Treebeard is a library that implements efficient data structures for

=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,12 @@
 %:
 	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_configure:
-	echo "Do nothing..."
-
 override_dh_auto_clean:
 	rm -rf docs/.build
-
-override_dh_auto_test:
-	echo "Do nothing..."
+	dh_auto_clean
 
 override_dh_auto_build:
+	dh_auto_build
 	set -e; \
 	for loc in treebeard/locale/*; do \
 		test -r $$loc/LC_MESSAGES/django.po &&\
@@ -30,9 +26,9 @@
 endif
 
 override_dh_auto_install:
-	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-django-treebeard
+	dh_auto_install
 	set -e; \
-	for inst in debian/python3-django-treebeard/usr/lib/python3/dist-packages/treebeard/static/treebeard; do \
+	for inst in debian/python3-django-treebeard/usr/lib/python3*/dist-packages/treebeard/static/treebeard; do \
 		ln -s ../../../../../../share/javascript/jquery-ui/jquery-ui.min.js $$inst/jquery-ui.min.js; \
 	done

## python-django-treebeard 4.5.1+dfsg

=== debian/changelog ===
python-django-treebeard (4.5.1+dfsg-3) unstable; urgency=medium

  * Add patch for Django 4 compatibility (Closes: #1013521).
  * Bump Standards-Version to 4.6.1.0.
  * Update lintian-overrides.

 -- Michael Fladischer <fladi@debian.org>  Sun, 31 Jul 2022 16:38:20 +0000

python-django-treebeard (4.5.1+dfsg-2) unstable; urgency=low

  * Remove unnecessary autopkgtest-pkg-python testsuite.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Update lintian-overrides.

 -- Michael Fladischer <fladi@debian.org>  Fri, 14 Jan 2022 14:22:05 +0000

python-django-treebeard (4.5.1+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-django-treebeard-doc: Add Multi-Arch: foreign.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Remove docs/_ext from Files-Excluded in d/copyright, no longer
    applies.
  * Bump minimum Django version to 2.2.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.
  * Use uscan version 4.
  * Remove abandoned d/python-django-treebeard.docs.
  * Add python3-pytest-django to Build-Depends, required by tests.
  * Change README.rst to README.md.
  * Enable upstream testsuite for autopkgtests.
  * Update lintian overrides.

 -- Michael Fladischer <fladi@debian.org>  Fri, 10 Sep 2021 20:45:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: python-django-treebeard
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
  dh-python,
  graphviz,
  python3-babel,
- python3-django,
+ python3-django (>= 2.2~),
  python3-pytest,
+ python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-treebeard
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-treebeard.git
+Standards-Version: 4.6.1.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-treebeard
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-treebeard.git
 Homepage: https://github.com/django-treebeard/django-treebeard
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python-django-treebeard-doc
@@ -27,8 +27,9 @@
 Section: doc
 Depends:
  libjs-jquery,
+ ${misc:Depends},
  ${sphinxdoc:Depends},
- ${misc:Depends},
+Multi-Arch: foreign
 Description: Efficient implementations of tree data structures for Django (documentation)
  Django Treebeard is a library that implements efficient data structures for
  storing hierarchical data in a database using the Django web development
@@ -44,7 +45,7 @@
 Architecture: all
 Depends:
  libjs-jquery-ui,
- python3-django,
+ python3-django (>= 2.2~),
  ${misc:Depends},
  ${python3:Depends},
 Description: Efficient implementations of tree data structures for Django (Python3 version)

## python-django-treebeard 4.6.1

=== debian/changelog ===
python-django-treebeard (4.6.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- Michael Fladischer <fladi@debian.org>  Thu, 09 Feb 2023 14:02:17 +0000

python-django-treebeard (4.6.0-1) unstable; urgency=low

  * New upstream release.
  * Drop jquery and Django 4 compatibility patches, fixed by upstream.
  * Remove -Files-Excluded for minified jquery, no longer included by
    upstream.
  * Update d/copyright with new years.
  * Update lintian source override for very-long-line-length-in-source-
    file.
  * Stop creating symlinks to packaged jquery, no longer used by
    upstream.
  * Fix permissions on .po files.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Fri, 06 Jan 2023 17:40:42 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-treebeard
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-treebeard.git
 Homepage: https://github.com/django-treebeard/django-treebeard

## python-django-treebeard 4.7

=== debian/changelog ===
python-django-treebeard (4.7-1) unstable; urgency=medium

  * New upstream version 4.7
  * Build using pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2023 13:17:02 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Build-Depends-Indep:
  dh-python,
  graphviz,
+ pybuild-plugin-pyproject,
  python3-babel,
  python3-django (>= 2.2~),
  python3-pytest,
